require 'minitest/autorun'
require 'silly_toy'

class SillyToyTest < Minitest::Test
  def setup
    @toy = SillyToy.new
  end

  def teardown
    @toy = nil
  end

  def test_toy_works
    ['Ball', 'Doll', 'Stick', 'Water Gun'].each { |c| assert @toy.content.include? c }
  end
end

class SillyToyWelcomeTest < Minitest::Test
  include Components

  def test_it_welcomes
    welcome_msg = SillyToyWelcome.greet
    assert welcome_msg
    assert welcome_msg.length > 3
    assert welcome_msg.include? 'Hi'
  end
end
